package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.Ztree;
import com.ruoyi.system.domain.Gtgsyw;
import com.ruoyi.system.domain.auditTh;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

/**
 * 待审核Service接口
 *
 * @author xu
 * @date 2019-08-22
 */
public interface IGtgsywService
{
    /**
     * 查询待审核
     *
     * @param id 待审核ID
     * @return 待审核
     */
    Gtgsyw selectGtgsywById(Long id);

    /**
     * 查询身份证照片
     * @param id
     * @param userId
     * @return
     */
    List<String> selectidentityPhoto(String id);

    public List<Map>  selectPhotosByBsid(String bsid);
    /**
     * 查询身份证照片
     * @param id
     * @return
     */
    public List<Map> selectidentityPhotos(String id) ;

    //根据id修改状态为审核中
    int updateFlg(Long id,Long userId);

    /**
     * 查询待审核列表
     *
     * @param gtgsyw 待审核
     * @return 待审核集合
     */
     List<Gtgsyw> selectGtgsywList(Gtgsyw gtgsyw);
    /**
     * 导出所有审核通过
     *
     * @param gtgsyw 审核通过
     * @return 导出所有审核通过
     */
     List<Gtgsyw> selectGtgsywAllList(Gtgsyw gtgsyw);
    /**
     * 搜索退回表(退回单独一个表)
     * @param gtgsyw
     * @param codename
     * @return
     */
     List<auditTh> selectauditTh(Gtgsyw gtgsyw,String codename);

    /**
     * 查询申请来源字典
     */
    List<String>selectDiction();

    /**
     * 新增待审核
     *
     * @param gtgsyw 待审核
     * @return 结果
     */
    int insertGtgsyw(Gtgsyw gtgsyw);

    /**
     * 修改待审核
     *
     * @param gtgsyw 待审核
     * @return 结果
     */
    int updateGtgsyw(Gtgsyw gtgsyw);

    /**
     * 批量删除待审核
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsywByIds(String ids);

    /**
     * 删除待审核信息
     *
     * @param id 待审核ID
     * @return 结果
     */
    int deleteGtgsywById(Long id);

    /**
     * 修改待审核
     * @param id
     * @param flg
     * @return
     */
    int updateById(Long id, Long flg);

    /**
     * 保存不予受理
     * @param id 不予受理id
     * @param returnReason 不予受理理由
     * @param userid 登录管理员id
     * @return
     */
    int updateThContent( String id ,String returnReason,Long userid);

    /**
     * 保存通过
     * @param id 通过审核id
     * @param xycode 信用代码
     * @param book 书文号
     * @param reg 注册号
     * @param userId 审核人 id
     * @param QRcode 二维码
     * @return
     */
    int  updatepass(String id , String xycode, String book, String reg, Long userId, String QRcode, HttpServletRequest request);


    /**
     * 下载单个word文件
     */
    File createDoc(String id ,String down) throws FileNotFoundException;

    /**
     * 下载zip压缩包
     */
    File MulticreateDoc(String id ,String down,String filename) throws FileNotFoundException;

    /**
     * 查询行业分类数据
     * @return
     */
    List<Ztree> selectTradeTree();


    /**
     * 添加便捷语
     */
    int addeasy(String add);

    /**
     * 查询便捷语
     */
    List<String> selecteasy();

    /**
     * 根据身份证号码查信息
     * @param card
     * @return
     */
    Gtgsyw selectByCB(String card, String bsid);

    /**
     * 根据身份证号码查信息
     * @param card
     * @return
     */
    List<Gtgsyw> selectByCard(String card);

    /**
     * 根据bsid号码查信息
     * @param bsid
     * @return
     */
    Gtgsyw selectByBsid(String bsid);

    /**
     * 根据id查找退回原因
     */
    Gtgsyw selBack(Long tid);


	 /**
     * 根据id查找退回原因
     */
     auditTh selectByIdTh(Long tid);


    /**
     *
     */
    List<Map> selectByNumb(String Date);

    List<Map>  selectToflg();

    Integer[]  selectByflgDate();

    String  downloadMonthZip(String monthPath,String end,HttpServletRequest request, HttpServletResponse response) throws IOException;

    String downloadZip(String id,String[] down,HttpServletRequest request, HttpServletResponse response) throws IOException;

    String creatZip(Integer id) throws IOException;

    List<Map> selectByMonth();

    /**
     * 查询zzcode
     */
    String selectMaxZzCode();









}
